com.salesforce.hyperdb.grpc

## Enum OutputFormat

- java.lang.Object
- - java.lang.Enum<OutputFormat>
  - - com.salesforce.hyperdb.grpc.OutputFormat

All Implemented Interfaces:
  com.google.protobuf.Internal.EnumLite, com.google.protobuf.ProtocolMessageEnum, Serializable, Comparable<OutputFormat>

    public enum OutputFormat
    extends Enum<OutputFormat>
    implements com.google.protobuf.ProtocolMessageEnum

Protobuf enum `salesforce.hyperdb.grpc.v1.OutputFormat`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ARROW_LEGACY_V1` `ARROW_LEGACY_V1 = 2;`
`ARROW_LEGACY_V2` `ARROW_LEGACY_V2 = 4;`
`ARROW_V3` `ARROW_V3 = 5;`
`JSON_LEGACY_V1` `JSON_LEGACY_V1 = 3;`
`JSON_V2` `JSON_V2 = 6;`
`TEXT_DEBUG` `TEXT_DEBUG = 0;`
`UNRECOGNIZED`

### Field Summary

Fields
`static int` `ARROW_LEGACY_V1_VALUE` `ARROW_LEGACY_V1 = 2;`
`static int` `ARROW_LEGACY_V2_VALUE` `ARROW_LEGACY_V2 = 4;`
`static int` `ARROW_V3_VALUE` `ARROW_V3 = 5;`
`static int` `JSON_LEGACY_V1_VALUE` `JSON_LEGACY_V1 = 3;`
`static int` `JSON_V2_VALUE` `JSON_V2 = 6;`
`static int` `TEXT_DEBUG_VALUE` `TEXT_DEBUG = 0;`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static OutputFormat` `forNumber(int value)`
`static com.google.protobuf.Descriptors.EnumDescriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.EnumDescriptor` `getDescriptorForType()`
`int` `getNumber()`
`com.google.protobuf.Descriptors.EnumValueDescriptor` `getValueDescriptor()`
`static com.google.protobuf.Internal.EnumLiteMap<OutputFormat>` `internalGetValueMap()`
`static OutputFormat` `valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)`
`static OutputFormat` `valueOf(int value)` Deprecated. Use `forNumber(int)` instead.
`static OutputFormat` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OutputFormat[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### TEXT_DEBUG

    public static final OutputFormat TEXT_DEBUG

`TEXT_DEBUG = 0;`

#### ARROW_LEGACY_V1

    public static final OutputFormat ARROW_LEGACY_V1

`ARROW_LEGACY_V1 = 2;`

#### JSON_LEGACY_V1

    public static final OutputFormat JSON_LEGACY_V1

`JSON_LEGACY_V1 = 3;`

#### ARROW_LEGACY_V2

    public static final OutputFormat ARROW_LEGACY_V2

`ARROW_LEGACY_V2 = 4;`

#### ARROW_V3

    public static final OutputFormat ARROW_V3

`ARROW_V3 = 5;`

#### JSON_V2

    public static final OutputFormat JSON_V2

`JSON_V2 = 6;`

#### UNRECOGNIZED

    public static final OutputFormat UNRECOGNIZED

### Field Detail

#### TEXT_DEBUG_VALUE

    public static final int TEXT_DEBUG_VALUE

`TEXT_DEBUG = 0;`

See Also:
  Constant Field Values

#### ARROW_LEGACY_V1_VALUE

    public static final int ARROW_LEGACY_V1_VALUE

`ARROW_LEGACY_V1 = 2;`

See Also:
  Constant Field Values

#### JSON_LEGACY_V1_VALUE

    public static final int JSON_LEGACY_V1_VALUE

`JSON_LEGACY_V1 = 3;`

See Also:
  Constant Field Values

#### ARROW_LEGACY_V2_VALUE

    public static final int ARROW_LEGACY_V2_VALUE

`ARROW_LEGACY_V2 = 4;`

See Also:
  Constant Field Values

#### ARROW_V3_VALUE

    public static final int ARROW_V3_VALUE

`ARROW_V3 = 5;`

See Also:
  Constant Field Values

#### JSON_V2_VALUE

    public static final int JSON_V2_VALUE

`JSON_V2 = 6;`

See Also:
  Constant Field Values

### Method Detail

#### values

    public static OutputFormat[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (OutputFormat c : OutputFormat.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static OutputFormat valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getNumber

    public final int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
Specified by:
  `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

#### valueOf

    @Deprecated
    public static OutputFormat valueOf(int value)

Deprecated. Use `forNumber(int)` instead.

Parameters:
  `value` - The numeric wire value of the corresponding enum entry.
Returns:
  The enum associated with the given numeric wire value.

#### forNumber

    public static OutputFormat forNumber(int value)

Parameters:
  `value` - The numeric wire value of the corresponding enum entry.
Returns:
  The enum associated with the given numeric wire value.

#### internalGetValueMap

    public static com.google.protobuf.Internal.EnumLiteMap<OutputFormat> internalGetValueMap()

#### getValueDescriptor

    public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

Specified by:
  `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

#### getDescriptorForType

    public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

#### valueOf

    public static OutputFormat valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)